<?php

/*------------------------------------------------------------------------
# com_invoices - Invoices for Joomla
# ------------------------------------------------------------------------
# author				Germinal Camps
# copyright 			Copyright (C) 2012 JoomlaFinances.com. All Rights Reserved.
# @license				http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: 			http://www.JoomlaFinances.com
# Technical Support:	Forum - http://www.JoomlaFinances.com/forum
-------------------------------------------------------------------------*/

//no direct access
defined('_JEXEC') or die('Restricted access.'); 

$params = &JComponentHelper::getParams( 'com_invoices' );
$document	= & JFactory::getDocument();
?>
<ul class="nav nav-tabs" id="invoices_tabs">
<li class="active"><a data-toggle="tab" href="#invoice"><?php echo JText::_( 'Invoice data' ); ?></a></li>
<li><a data-toggle="tab" href="#items"><?php echo JText::_( 'Items and payments' ); ?></a></li>
</ul>
  

<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data" class="form-horizontal">

<?php

echo JHtml::_('bootstrap.startPane', 'invoices_tabs', array('active' => 'invoice'));
echo JHtml::_('bootstrap.addPanel', 'invoices_tabs', 'invoice');

?>
<div class="row-fluid">
  
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'RECIPIENT' ); ?></legend>
     
      <div class="control-group">
        <label class="control-label" for="to_name"> <?php echo JText::_( 'RECIPIENT_NAME' ); ?>: </label>
        <div class="controls">
          <input class="text_area" type="text" name="to_name" id="to_name" size="80" maxlength="250" value="<?php echo $this->invoice->to_name;?>" placeholder="<?php echo JText::_( 'RECIPIENT_NAME_PLACEHOLDER' ); ?>" <?php if(!$this->invoice->id) echo "autofocus='autofocus'"; ?> />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="to_company"> <?php echo JText::_( 'COMPANY' ); ?>: </label>
        <div class="controls">
          <input class="text_area" type="text" name="to_company" id="to_company" size="80" maxlength="250" value="<?php echo $this->invoice->to_company;?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="to_address"> <?php echo JText::_( 'RECIPIENT_ADDRESS' ); ?>: </label>
        <div class="controls">
          <textarea name="to_address" id="to_address" cols="40" rows="4"><?php echo $this->invoice->to_address; ?></textarea>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="to_city"> <?php echo JText::_( 'LOCATION_CITY' ); ?>: </label>
        <div class="controls">
          <input class="inputbox input-mini" type="text" name="to_zipcode" id="to_zipcode" size="80" maxlength="250" value="<?php echo $this->invoice->to_zipcode;?>" placeholder="<?php echo JText::_( 'RECIPIENT_ZIPCODE_PLACEHOLDER' ); ?>" />
          <input class="inputbox input-medium" type="text" name="to_city" id="to_city" size="80" maxlength="250" value="<?php echo $this->invoice->to_city;?>" placeholder="<?php echo JText::_( 'RECIPIENT_CITY_PLACEHOLDER' ); ?>" />
          
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="to_city"> <?php echo JText::_( 'LOCATION_COUNTRY' ); ?>: </label>
        <div class="controls">
         
          <input class="inputbox input-small" type="text" name="to_state" id="to_state" size="80" maxlength="250" value="<?php echo $this->invoice->to_state;?>" placeholder="<?php echo JText::_( 'RECIPIENT_STATE_PLACEHOLDER' ); ?>" />
          <input class="inputbox input-small" type="text" name="to_country" id="to_country" size="80" maxlength="250" value="<?php echo $this->invoice->to_country;?>" placeholder="<?php echo JText::_( 'RECIPIENT_COUNTRY_PLACEHOLDER' ); ?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="to_email"> <?php echo JText::_( 'EMAIL' ); ?>: </label>
        <div class="controls">
          <input class="text_area" type="text" name="to_email" id="to_email" size="80" maxlength="250" value="<?php echo $this->invoice->to_email;?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="to_vatid"> <?php echo JText::_( 'VATID' ); ?>: </label>
        <div class="controls">
          <input class="text_area" type="text" name="to_vatid" id="to_vatid" size="80" maxlength="250" value="<?php echo $this->invoice->to_vatid;?>" />
        </div>
      </div>
     
      <div class="control-group">
        
        <label class="control-label" ><?php echo JText::_( 'CONTACT_OPTIONS' ); ?></label>
        <input class="text_area" type="hidden" name="user_id" id="user_id" size="11" maxlength="11" value="<?php echo $this->invoice->user_id;?>" />
        <div class="controls">
        
        <div class="input-append btn-group" id="sign_group">
  
          <label class="btn " id="label_contact_1" for="vincular_cliente_checkbox" data-original-title="<?php echo JText::_('LINK_TO_EXISTING_CONTACT'); ?>" rel="tooltip"><i class="icon-user" ></i><input <?php if($this->invoice->user_id) echo "checked='checked'"; ?> class="radio_toggle" type="radio"  value="1" name="vincular_cliente_checkbox" id="vincular_cliente_checkbox" /></label>
          
          <label class="btn " for="vincular_cliente_checkbox2" data-original-title="<?php echo JText::_('CREATE_NEW_CONTACT'); ?>" rel="tooltip"><i class="icon-new" ></i><input <?php if($this->invoice->vincular_cliente_checkbox == 2) echo "checked='checked'"; ?> class="radio_toggle" type="radio" value="2" name="vincular_cliente_checkbox" id="vincular_cliente_checkbox2" /></label>
          
          <label class="btn " for="vincular_cliente_checkbox3" data-original-title="<?php echo JText::_('UPDATE_CONTACT_DATA'); ?>" rel="tooltip"><i class="icon-refresh" ></i><input class="radio_toggle" type="radio" value="3" name="vincular_cliente_checkbox" id="vincular_cliente_checkbox3" /></label>
          
          <label class="btn " for="vincular_cliente_checkbox4" data-original-title="<?php echo JText::_('DO_NOT_LINK_TO_CONTACT'); ?>" rel="tooltip"><i class="icon-remove" ></i><input class="radio_toggle" type="radio" value="0" name="vincular_cliente_checkbox" id="vincular_cliente_checkbox4" /></label>
          </div>
          
          <div class="">
          <input type="text" class="inputbox disabled" disabled="disabled" id="vincular_cliente" size="30" value="<?php echo $this->invoice->contact_name; ?>" placeholder="<?php echo JText::_( 'CONTACT_NAME_PLACEHOLDER' ); ?>" />
          </div>
          
          </div>
        
      </div>
      
    </fieldset>
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'INVOICER' ); ?></legend>
      <div class="control-group">
        <label class="control-label" for="from_name"> <?php echo JText::_( 'INVOICER_NAME' ); ?>: </label>
        <div class="controls">
          <input class="text_area" type="text" name="from_name" id="from_name" size="80" maxlength="250" value="<?php echo $this->invoice->from_name;?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="from_address"> <?php echo JText::_( 'INVOICER_ADDRESS' ); ?>: </label>
        <div class="controls">
          <textarea name="from_address" id="from_address" cols="40" rows="4"><?php echo $this->invoice->from_address; ?></textarea>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="from_num"> <?php echo JText::_( 'INVOICER_FISCAL_NUM' ); ?>: </label>
        <div class="controls">
          <input class="text_area" type="text" name="from_num" id="from_num" size="80" maxlength="250" value="<?php echo $this->invoice->from_num;?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="from_url"> <?php echo JText::_( 'INVOICER_URL' ); ?>: </label>
        <div class="controls">
          <input class="text_area" type="text" name="from_url" id="from_url" size="80" maxlength="250" value="<?php echo $this->invoice->from_url;?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="from_email"> <?php echo JText::_( 'INVOICER_EMAIL' ); ?>: </label>
        <div class="controls">
          <input class="text_area" type="text" name="from_email" id="from_email" size="80" maxlength="250" value="<?php echo $this->invoice->from_email;?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="from_phone"> <?php echo JText::_( 'INVOICER_PHONE' ); ?>: </label>
        <div class="controls">
          <input class="text_area" type="text" name="from_phone" id="from_phone" size="80" maxlength="250" value="<?php echo $this->invoice->from_phone;?>" />
        </div>
      </div>
    </fieldset>
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'INVOICE_DETAILS' ); ?></legend>
      <div class="control-group">
        <label class="control-label" for="status"> <?php echo JText::_( 'STATUS' ); ?>: </label>
        <div class="controls">
          <select name="status" id="status">
            <option></option>
            <?php
			for ($i=0, $n=count( $this->status );$i < $n; $i++)	{
			$row = &$this->status[$i];
			$selected = ""; 
			if($row == $this->invoice->status) $selected = "selected";?>
            <option <?php echo $selected;?> value="<?php echo $row;?>"><?php echo JText::_($row);?></option>
            <?php } ?>
          </select>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="invoice_num"> <?php echo JText::_( 'FORMATED_INVOICE_NUMBER' ); ?>: </label>
        <div class="controls">
          <input class="text_area input-small" type="text" name="invoice_num" id="invoice_num" size="20" maxlength="250" value="<?php echo $this->invoice->invoice_num;?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="real_invoice_num"> <?php echo JText::_( 'REAL_INVOICE_NUMBER' ); ?>: </label>
        <div class="controls">
          <input class="text_area input-mini" type="text" name="real_invoice_num" id="real_invoice_num" size="20" maxlength="250" value="<?php echo $this->invoice->real_invoice_num;?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="invoice_date"> <?php echo JText::_( 'INVOICE_DATE'); ?>: </label>
        <div class="controls"><?php echo JHTML::calendar($this->invoice->invoice_date, "invoice_date", "invoice_date", "%Y-%m-%d", array("class" => "text_area date_item input-small")); ?></div>
      </div>
      <div class="control-group">
        <label class="control-label" for="invoice_duedate"> <?php echo JText::_( 'INVOICE_DUEDATE'); ?>: </label>
        <div class="controls"><?php echo JHTML::calendar($this->invoice->invoice_duedate, "invoice_duedate", "invoice_duedate", "%Y-%m-%d", array("class" => "text_area date_item input-small")); ?></div>
      </div>
      <div class="control-group">
        <label class="control-label" for="template_id"> <?php echo JText::_( 'TEMPLATE' ); ?>: </label>
        <div class="controls">
          <select name="template_id" id="template_id">
            <?php
			for ($i=0, $n=count( $this->templates );$i < $n; $i++)	{
			$row = &$this->templates[$i];
			$selected = ""; 
			if($row->id == $this->invoice->template_id) $selected = "selected";?>
            <option <?php echo $selected;?> value="<?php echo $row->id;?>"><?php echo $row->name;?></option>
            <?php } ?>
          </select>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="currency_before"> <?php echo JText::_( 'CURRENCY_SYMBOL_BEFORE' ); ?>: </label>
        <div class="controls">
          <input class="text_area input-mini" onchange="change_currency()" type="text" name="currency_before" id="currency_before" size="10" maxlength="250" value="<?php echo $this->invoice->currency_before;?>" />
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="currency_after"> <?php echo JText::_( 'CURRENCY_SYMBOL_AFTER' ); ?>: </label>
        <div class="controls">
          <input class="text_area input-mini" onchange="change_currency()" type="text" name="currency_after" id="currency_after" size="10" maxlength="250" value="<?php echo $this->invoice->currency_after;?>" />
        </div>
      </div>
    </fieldset>
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'PUBLISH' ); ?></legend>
      <div class="control-group">
        <label class="control-label" for="publish"> <?php echo JText::_( 'PUBLISHED' ); ?>: </label>
        <div class="controls">
          <div id="sign_group" class=" btn-group">
          <label class="btn" for="publish1"> <?php echo JText::_('JYES'); ?> <input class="radio_toggle" type="radio" <?php if($this->invoice->publish) echo "checked='checked'"; ?> value="1" name="publish" id="publish1" /></label>
          <label class="btn" for="publish0"> <?php echo JText::_('JNO'); ?> <input class="radio_toggle" type="radio" <?php if(!$this->invoice->publish) echo "checked='checked'"; ?> value="0" name="publish" id="publish0" /></label>
          </div>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="start_publish"> <?php echo JText::_( 'START_PUBLISHING'); ?>: </label>
        <div class="controls"><?php echo JHTML::calendar($this->invoice->start_publish, "start_publish", "start_publish", "%Y-%m-%d", array("class" => "text_area date_item input-medium")); ?></div>
      </div>
      <div class="control-group">
        <label class="control-label" for="end_publish"> <?php echo JText::_( 'END_PUBLISHING'); ?>: </label>
        <div class="controls"><?php echo JHTML::calendar($this->invoice->end_publish, "end_publish", "end_publish", "%Y-%m-%d", array("class" => "text_area date_item input-medium")); ?></div>
      </div>
    </fieldset>
    
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'RECURRENCY' ); ?></legend>
      <div class="control-group">
        <label class="control-label" > <?php echo JText::_( 'IS_RECURRENT' ); ?>: </label>
        <div class="controls">
          <div class=" btn-group">
          <label class="btn" for="recurrent1"> <?php echo JText::_('JYES'); ?> <input class="radio_toggle" type="radio" <?php if($this->invoice->is_recurrent) echo "checked='checked'"; ?> value="1" name="is_recurrent" id="recurrent1" /></label>
          <label class="btn" for="recurrent0"> <?php echo JText::_('JNO'); ?> <input class="radio_toggle" type="radio" <?php if(!$this->invoice->is_recurrent) echo "checked='checked'"; ?> value="0" name="is_recurrent" id="recurrent0" /></label>
          </div>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="rec_nextdate"> <?php echo JText::_( 'NEXT_RECURRENCY_DATE'); ?>: </label>
        <div class="controls"><?php echo JHTML::calendar($this->invoice->rec_nextdate, "rec_nextdate", "rec_nextdate", "%Y-%m-%d", array("class" => "text_area date_item input-small")); ?></div>
      </div>
      <div class="control-group">
        <label class="control-label" > <?php echo JText::_( 'REPEAT_EVERY' ); ?>: </label>
        <div class="controls">
          <select name="rec_year" id="rec_year" class="small_select">
            
            <?php
			for ($i=0;$i < 11; $i++)	{
			
			$selected = ""; 
			if($i == $this->invoice->rec_year) $selected = "selected"; ?>
            <option <?php echo $selected;?> value="<?php echo $i; ?>"><?php echo $i ;?></option>
            <?php } ?>
          </select> 
          <select name="rec_month" id="rec_month" class="small_select">
           
            <?php
			for ($i=0;$i < 12; $i++)	{
			
			$selected = ""; 
			if($i == $this->invoice->rec_month) $selected = "selected"; ?>
            <option <?php echo $selected;?> value="<?php echo $i; ?>"><?php echo $i ;?></option>
            <?php } ?>
          </select> 
          <select name="rec_day" id="rec_day" class="small_select">
            
            <?php
			for ($i=0;$i < 31; $i++)	{
			
			$selected = ""; 
			if($i == $this->invoice->rec_day) $selected = "selected"; ?>
            <option <?php echo $selected;?> value="<?php echo $i; ?>"><?php echo $i ;?></option>
            <?php } ?>
          </select>
          
          <?php echo JText::_( 'REPEAT_EXPLANATION' ); ?>
          
        </div>
      </div>
    </fieldset>
    
  </div>
  
  <?php
echo JHtml::_('bootstrap.endPanel');
echo JHtml::_('bootstrap.addPanel', 'invoices_tabs', 'items');
?>
  <div class="row-fluid">
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'ITEMS' ); ?></legend>
      <button class="btn btn-info" type="button" onclick="javascript:new_song();" ><i class="icon-new icon-white"></i> <?php echo JText::_('ADD_NEW_ITEM'); ?></button>
      <button class="btn " disabled="disabled" type="button" onclick="javascript:delete_selected_songs();" id="delete_items_button" ><i class="icon-trash"></i> <?php echo JText::_('DELETE_SELECTED_ITEMS'); ?></button>
      
      <span class="pull-right"><?php echo JText::_('DRAG_ROWS'); ?></span>
      
      <table class="table table-striped table-hover" id="items_table">
        <thead>
          <tr class="nodrag">
            <th width="5"> <?php echo JText::_( 'ID' ); ?> </th>
            
            <th width="20"> <!--input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" /-->
            </th>
            <th>  </th>
            <th> <?php echo JText::_( 'NAME' ); ?> </th>
            <th> <?php echo JText::_( 'DESCRIPTION' ); ?> </th>
            <th > <span class="th_value"><?php echo JText::_( 'VALUE' ); ?></span> <span class="th_qty"><?php echo JText::_( 'QUANTITY' ); ?></span> <span class="th_discount"><?php echo JText::_( 'DISCOUNT' ); ?></span> </th>
           
            <th width="20"> <?php echo JText::_( 'TOTAL' ); ?> </th>
          </tr>
        </thead>
        
        <tfoot>
        
        <tr class="nodrag">
        <td colspan="5"></td>
          <td  class="invoice_discount"><?php echo JText::_( 'INVOICE_DISCOUNT' ); ?></td>
          <td>
          <div class="input-prepend input-append">
              <span class="add-on currency_before"><?php echo $this->invoice->currency_before;?></span>
              <input class="inputbox input-mini "  onchange="calculate_lines()"  onkeyup="calculate_lines()" placeholder="<?php echo JText::_( 'ZERO_AMOUNT' ); ?>" type="text" id="discount" name="discount" size="4" maxlength="10" value="<?php echo $this->invoice->discount;?>" />
              <span class="add-on currency_after"><?php echo $this->invoice->currency_after;?></span>
            </div>
            </td>
        </tr>
        
        <tr class="nodrag">
        <td colspan="5"></td>
          <td  class="invoice_subtotal"><?php echo JText::_( 'INVOICE_SUBTOTAL' ); ?></td>
          <td>
          <div class="input-prepend input-append">
              <span class="add-on currency_before"><?php echo $this->invoice->currency_before;?></span>
              <input class="inputbox input-mini disabled" disabled="disabled" type="text" id="invoice_subtotal" size="4" maxlength="10" value="" />
              <span class="add-on currency_after"><?php echo $this->invoice->currency_after;?></span>
            </div>
            </td>
        </tr>
        
        <?php
		$js = "var taxes = new Array(); var taxestype = new Array();";
		
		for ($i=0, $n=count( $this->taxes );$i < $n; $i++)	{
		$row = &$this->taxes[$i];
		$selected = ""; 
		
		if($row->type == "percent") $percent = "%" ;
		else $percent = "";
		
		$js .= "taxes[".$row->id."] = '".$row->value.$percent."'; " ;
		$js .= "taxestype[".$row->id."] = '".$row->ordering."'; " ;
		
		if(in_array($row->id, $this->invoice->taxes)) $selected = "checked='checked'";?>
        <tr class="nodrag">
        <td colspan="5"></td>
          <td  class="invoice_tax"><label for="tax_<?php echo $row->id;?>"><?php echo $row->name;?>
           <input type="checkbox" <?php echo $selected;?> onchange="calculate_lines()" class="checkbox_tax" name="taxes[]" value="<?php echo $row->id;?>" id="tax_<?php echo $row->id;?>" />
           </label>
          </td>
          <td>
          <div class="input-prepend input-append">
              <span class="add-on currency_before"><?php echo $this->invoice->currency_before;?></span>
              <input class="inputbox input-mini disabled" disabled="disabled" type="text" id="tax_display_<?php echo $row->id;?>" size="4" maxlength="10" value="" />
              <span class="add-on currency_after"><?php echo $this->invoice->currency_after;?></span>
            </div>
            </td>
        </tr>
        
        
		<?php } 
		
		$document->addScriptDeclaration($js);
		
		?>
        
        
        <tr class="nodrag">
        <td colspan="5"></td>
          <td  class="invoice_total"><?php echo JText::_( 'INVOICE_TOTAL' ); ?></td>
          <td>
          <div class="input-prepend input-append">
              <span class="add-on currency_before"><?php echo $this->invoice->currency_before;?></span>
              <input class="inputbox input-mini disabled" disabled="disabled"  type="text" id="invoice_total" size="4" maxlength="10" value="" />
              <span class="add-on currency_after"><?php echo $this->invoice->currency_after;?></span>
            </div>
            </td>
        </tr>
      </tfoot>
      
        <?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)	{
		$item = &$this->items[$i];
		$checked 	= JHTML::_('grid.id',   $i, $item->id );
		?>
        <tr class="<?php echo "row$k"; ?>">
          <td><?php echo $item->id; ?></td>
          <td><?php echo $checked; ?></td>
          <td class="dragHandle"></td>
          <td><input class="inputbox" type="text" name="name_<?php echo $item->id;?>" id="name_<?php echo $item->id;?>" size="50" maxlength="255" value="<?php echo $item->name;?>" /></td>
          <td><input class="inputbox" type="text" name="description_<?php echo $item->id;?>" id="description_<?php echo $item->id;?>" size="50" maxlength="255" value="<?php echo $item->desc;?>" /></td>
          
          <td >
          
          <div class="input-prepend input-append">
          	<input class="inputbox input-mini items_value" onchange="calculate_lines()" type="text" name="value_<?php echo $item->id;?>" id="value_<?php echo $item->id;?>" size="10" maxlength="10" value="<?php echo $item->value;?>" />
              <span class="add-on ">x</span>
              <input class="inputbox input-mini items_amount" onchange="calculate_lines()" type="text" name="amount_<?php echo $item->id;?>" id="amount_<?php echo $item->id;?>" size="4" maxlength="10" value="<?php echo $item->amount;?>" />
              <span class="add-on ">-</span>
              <input class="inputbox input-mini items_discount" onchange="calculate_lines()" type="text" name="discount_<?php echo $item->id;?>" id="discount_<?php echo $item->id;?>" size="4" maxlength="10" value="<?php echo $item->discount;?>" />
              <span class="add-on ">=</span>
            </div>
           
          </td>
          
          <td>
          
          <div class="input-prepend input-append">
              <span class="add-on currency_before"><?php echo $this->invoice->currency_before;?></span>
              <input class="inputbox input-mini disabled items_total" disabled="disabled" type="text" name="total_<?php echo $item->id;?>" id="total_<?php echo $item->id;?>" size="4" maxlength="10" value="<?php echo $item->total;?>" />
              <span class="add-on currency_after"><?php echo $this->invoice->currency_after;?></span>
            </div>
          
          </td>
        </tr>
        <?php
		$k = 1 - $k;
	}
	?>
    
      </table>
      
      
      <div class="buscar_cliente" >
          <div class="input-append">
              <input type="text" name="search_items" id="search_items"  value="" size="30" />
              <input type="button" class="btn" id="button_search_items" value="<?php echo JText::_('SEARCH_ITEMS'); ?>" />
              </div>
            </div>
            
            <div id="log_items"></div>
    </fieldset>
    
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'PAYMENTS' ); ?></legend>
      <a class="btn btn-info" href="javascript:new_payment();" ><i class="icon-new icon-white"></i> <?php echo JText::_('ADD_NEW_PAYMENT'); ?></a>
      <button class="btn" disabled="disabled" onclick="javascript:delete_selected_payments();" id="delete_payments_button" ><i class="icon-trash"></i> <?php echo JText::_('DELETE_SELECTED_PAYMENTS'); ?></button>
     
      <label for="automatic_payment" class="pull-right"><input  type="checkbox" value="1" name="automatic_payment" id="automatic_payment" <?php if($this->invoice->id == 0) echo "checked"; ?> />  <?php echo JText::_('CHECKBOX_AUTOMATIC_PAYMENT'); ?></label>
      
      
      <table class="table table-striped" id="payments_table">
        <thead>
          <tr class="nodrag">
            <th width="5"> <?php echo JText::_( 'ID' ); ?> </th>
            <th width="20"> <!--input type="checkbox" name="toggle2" value="" onclick="checkAll(<?php echo count( $this->payments ); ?>);" /--> </th>
            <th width="5">  </th>
            <th> <?php echo JText::_( 'DESCRIPTION' ); ?> </th>
            <th> <?php echo JText::_( 'DUE_DATE' ); ?> </th>
            <th> <?php echo JText::_( 'PAYMENT_DATETIME' ); ?> </th>
            <th> <?php echo JText::_( 'PAID' ); ?> </th>
            <th width="20"> <?php echo JText::_( 'VALUE' ); ?> </th>
          </tr>
        </thead>
        <?php
	$k = 0;
	for ($i=0, $n=count( $this->payments ); $i < $n; $i++)	{
		$payment = &$this->payments[$i];
		$checked 	= JHTML::_('grid.id',   $i, $payment->id, false, 'pid' );
		?>
        <tr class="<?php echo "row$k"; ?>">
          <td><?php echo $payment->id; ?></td>
          <td><?php echo $checked; ?></td>
          <td class="dragHandle"></td>
          <td><input class="inputbox" type="text" name="payment_description_<?php echo $payment->id;?>" id="payment_description_<?php echo $payment->id;?>" size="50" maxlength="255" value="<?php echo $payment->payment_description;?>" /></td>
          <td>
          <?php echo JHTML::calendar($payment->payment_duedate, "payment_duedate_".$payment->id, "payment_duedate_".$payment->id, "%Y-%m-%d", array("class" => "text_area date_item input-medium")); ?>
          </td>
          
          <td>
          <?php echo JHTML::calendar($payment->payment_datetime, "payment_datetime_".$payment->id, "payment_datetime_".$payment->id, "%Y-%m-%d", array("class" => "text_area date_item input-medium")); ?>
          </td>
          
          <td>
          <div id="sign_group" class=" btn-group">
          <label class="btn" for="payment_status_<?php echo $payment->id;?>_1"> <?php echo JText::_('JYES'); ?> <input class="radio_toggle" type="radio" <?php if($payment->payment_status) echo "checked='checked'"; ?> value="1" name="payment_status_<?php echo $payment->id;?>" id="payment_status_<?php echo $payment->id;?>_1" /></label>
          <label class="btn" for="payment_status_<?php echo $payment->id;?>_0"> <?php echo JText::_('JNO'); ?> <input class="radio_toggle" type="radio" <?php if(!$payment->payment_status) echo "checked='checked'"; ?> value="0" name="payment_status_<?php echo $payment->id;?>" id="payment_status_<?php echo $payment->id;?>_0" /></label>
          </div>
          </td>
          
          <td>
          
          <div class="input-prepend input-append">
              <span class="add-on currency_before"><?php echo $this->invoice->currency_before;?></span>
              <input class="inputbox input-mini payments_amount" onchange="calculate_payments()" type="text" name="payment_value_<?php echo $payment->id;?>" id="payment_value_<?php echo $payment->id;?>" size="10" maxlength="10" value="<?php echo $payment->payment_amount;?>" />
              <span class="add-on currency_after"><?php echo $this->invoice->currency_after;?></span>
            </div>
            
          </td>
        </tr>
        <?php
		$k = 1 - $k;
	}
	?>
    
    <tfoot>
    <tr class="nodrag">
       
          <td colspan="7" class="invoice_total"><?php echo JText::_( 'PAYMENTS_TOTAL' ); ?></td>
          <td>
          <div class="input-prepend input-append">
              <span class="add-on currency_before"><?php echo $this->invoice->currency_before;?></span>
              <input class="inputbox input-mini disabled" disabled="disabled"  type="text" id="payments_total" size="4" maxlength="10" value="" />
              <span class="add-on currency_after"><?php echo $this->invoice->currency_after;?></span>
            </div>
            </td>
        </tr>
      </tfoot>
      
      </table>
    </fieldset>
    <fieldset class="adminform">
      <legend><?php echo JText::_( 'NOTES' ); ?></legend>
      <div class="control-group">
        <label class="control-label" for="notes"> <?php echo JText::_( 'NOTES' ); ?>: </label>
        <div class="controls">
          <textarea name="notes" id="notes" cols="40" rows="4"><?php echo $this->invoice->notes; ?></textarea>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="admin_notes"> <?php echo JText::_( 'ADMIN_NOTES' ); ?>: </label>
        <div class="controls">
          <textarea name="admin_notes" id="admin_notes" cols="40" rows="4"><?php echo $this->invoice->admin_notes; ?></textarea>
        </div>
      </div>
    </fieldset>
  </div>
  
  <?php
echo JHtml::_('bootstrap.endPanel');
echo JHtml::_('bootstrap.endPane', 'invoices_tabs');
?>

  <input type="hidden" name="option" value="com_invoices" />
  <input type="hidden" name="id" value="<?php echo $this->invoice->id; ?>" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="controller" value="invoice" />
  <input type="hidden" name="boxchecked" value="" />
  <input type="hidden" name="frominvoice" value="<?php echo $this->invoice->id; ?>" />
</form>

